Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.codecs
[Java] Class HTML4Decoder

    java.lang.Object
      org.codehaus.groovy.grails.plugins.codecs.HTML4Decoder

All Implemented Interfaces:
  Decoder

    public class HTML4Decoder
    extends java.lang.Object

HTML4 decoder that uses Spring's HtmlUtils.htmlUnescape to do the unescaping.

Authors:
  Lari Hotari

Since:
  2.3

Method Summary
`java.lang.Object` | `decode(java.lang.Object o)`
`CodecIdentifier` | `getCodecIdentifier()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### decode

    public java.lang.Object decode(java.lang.Object o)

### getCodecIdentifier

    public CodecIdentifier getCodecIdentifier()

Groovy Documentation